Bug 1860504 - FlexiBLAS as BLAS/LAPACK manager
Summary: FlexiBLAS as BLAS/LAPACK manager
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Iñaki Ucar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F33Changes
TreeView+ depends on / blocked
 
Reported: 2020-07-24 19:32 UTC by Ben Cotton
Modified: 2020-10-03 12:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-07-24 19:32:09 UTC
This is a tracking bug for Change: FlexiBLAS as BLAS/LAPACK manager
For more details, see: https://fedoraproject.org/wiki/Changes/FlexiBLAS_as_BLAS/LAPACK_manager

BLAS/LAPACK packages will be compiled against the FlexiBLAS wrapper library, which will set OpenBLAS as system-wide default backend, and at the same time will provide a proper switching mechanism that currently Fedora lacks.

Comment 1 Iñaki Ucar 2020-07-25 09:19:47 UTC
Let's start with packages that already depend on some openblas flavour:

$ podman run --rm fedora:rawhide dnf repoquery --whatrequires libopenblas* | grep -v openblas | grep -v i686
COPASI-0:4.28.226-2.fc33.x86_64
COPASI-gui-0:4.28.226-2.fc33.x86_64
CheMPS2-0:1.8.9-7.fc33.x86_64
DSDP-0:5.8-24.fc32.x86_64
GMT-0:6.1.0-1.fc33.x86_64
MUMPS-0:5.3.1-2.fc33.x86_64
MUMPS-examples-0:5.3.1-2.fc33.x86_64
MUMPS-mpich-0:5.3.1-2.fc33.x86_64
MUMPS-openmp-0:5.3.1-2.fc33.x86_64
MUMPS-openmp-examples-0:5.3.1-2.fc33.x86_64
MUMPS-openmpi-0:5.3.1-2.fc33.x86_64
MUMPS-openmpi-examples-0:5.3.1-2.fc33.x86_64
Macaulay2-0:1.14.0.1-3.fc32.x86_64
OpenMolcas-0:19.11-3.fc33.x86_64
R-ape-0:5.3-7.fc33.x86_64
R-core-0:4.0.2-2.fc33.x86_64
R-expm-0:0.999.4-6.fc33.x86_64
R-gee-0:4.13.20-3.fc33.x86_64
R-gss-0:2.2.2-2.fc33.x86_64
R-igraph-0:1.2.5-2.fc33.x86_64
R-msm-0:1.6.8-3.fc33.x86_64
R-preprocessCore-0:1.50.0-2.fc33.x86_64
R-qtl-0:1.46.2-2.fc33.x86_64
R-quadprog-0:1.5.8-3.fc33.x86_64
SuperLU-0:5.2.1-10.fc33.x86_64
SuperLUMT-0:3.1.0-26.fc33.x86_64
SuperLUMT-complex-0:3.1.0-26.fc33.x86_64
SuperLUMT-complex16-0:3.1.0-26.fc33.x86_64
SuperLUMT-double-0:3.1.0-26.fc33.x86_64
SuperLUMT64-0:3.1.0-26.fc33.x86_64
SuperLUMT64-complex-0:3.1.0-26.fc33.x86_64
SuperLUMT64-complex16-0:3.1.0-26.fc33.x86_64
SuperLUMT64-double-0:3.1.0-26.fc33.x86_64
armadillo-0:9.900.2-1.fc33.x86_64
arpack-0:3.7.0-6.fc33.x86_64
clblast-tuners-0:1.5.1-1.fc33.x86_64
cocoalib-0:0.99710-1.fc33.x86_64
coin-or-CoinUtils-0:2.11.4-1.fc33.x86_64
coin-or-Ipopt-0:3.13.0-4.fc33.x86_64
coin-or-Ipopt-mpich-0:3.13.0-4.fc33.x86_64
coin-or-Ipopt-openmpi-0:3.13.0-4.fc33.x86_64
cp2k-0:6.1-6.fc32.x86_64
csdp-0:6.2.0-8.fc32.x86_64
cxsc-0:2.5.4-12.fc32.x86_64
efpmd-0:1.5.0-7.fc32.x86_64
elk-0:6.3.2-1.fc32.x86_64
elk-mpich-0:6.3.2-1.fc32.x86_64
elk-openmpi-0:6.3.2-1.fc32.x86_64
elpa-0:2019.05.002-3.fc33.x86_64
elpa-mpich-0:2019.05.002-3.fc33.x86_64
elpa-openmpi-0:2019.05.002-3.fc33.x86_64
freefem++-0:4.6-2.fc33.x86_64
ga-mpich-0:5.7.2-3.fc33.x86_64
ga-openmpi-0:5.7.2-3.fc33.x86_64
getdp-0:3.3.0-4.fc33.x86_64
gromacs-libs-0:2019.6-2.fc33.x86_64
hpl-mpich-0:2.2-6.fc32.x86_64
hpl-openmpi-0:2.2-6.fc32.x86_64
hypre-0:2.18.1-2.fc33.x86_64
hypre-mpich-0:2.18.1-2.fc33.x86_64
hypre-openmpi-0:2.18.1-2.fc33.x86_64
iml-0:1.0.5-12.fc32.x86_64
julia-0:1.4.2-2.fc33.x86_64
lammps-0:20200630-1.fc33.x86_64
lammps-mpich-0:20200630-1.fc33.x86_64
lammps-openmpi-0:20200630-1.fc33.x86_64
libcint-0:3.0.20-2.fc33.x86_64
linbox-0:1.6.3-4.fc33.x86_64
mld2p4-mpich-0:2.2.2-1.fc33.x86_64
mld2p4-openmpi-0:2.2.2-1.fc33.x86_64
mld2p4-serial-0:2.2.2-1.fc33.x86_64
ncl-0:6.6.2-12.fc33.x86_64
nwchem-mpich-0:7.0.0-9.fc33.x86_64
nwchem-openmpi-0:7.0.0-9.fc33.x86_64
ocaml-gsl-0:1.19.1-30.fc33.x86_64
ocaml-gsl-devel-0:1.19.1-30.fc33.x86_64
octave-6:5.2.0-4.fc33.x86_64
octave-control-0:3.2.0-5.fc32.x86_64
octave-odepkg-0:0.9.1-0.11.20170102hg609.fc32.x86_64
octave-optim-0:1.6.0-5.fc32.x86_64
opencv-core-0:4.3.0-7.fc33.x86_64
opengrm-ngram-tools-0:1.3.4-9.fc32.x86_64
openmeeg-0:2.4.2-0.3.fc33.x86_64
petsc-0:3.13.3-1.fc33.x86_64
petsc-mpich-0:3.13.3-1.fc33.x86_64
petsc-openmpi-0:3.13.3-1.fc33.x86_64
petsc64-0:3.13.3-1.fc33.x86_64
psblas3-mpich-0:3.6.1-9.fc33.x86_64
psblas3-openmpi-0:3.6.1-9.fc33.x86_64
psblas3-serial-0:3.6.1-9.fc33.x86_64
psi4-1:1.3.2-3.fc33.x86_64
psi4-devel-1:1.3.2-3.fc33.x86_64
python2-numpy-1:1.16.4-8.fc33.x86_64
python3-COPASI-0:4.28.226-2.fc33.x86_64
python3-cvxopt-0:1.2.5-2.fc33.x86_64
python3-gpaw-0:19.8.1-6.fc32.x86_64
python3-gpaw-mpich-0:19.8.1-6.fc32.x86_64
python3-gpaw-openmpi-0:19.8.1-6.fc32.x86_64
python3-numpy-1:1.19.0-2.fc33.x86_64
python3-openmeeg-0:2.4.2-0.3.fc33.x86_64
python3-pyscf-0:1.7.3-1.fc33.x86_64
python3-pyshtools-0:4.6.2-2.fc33.x86_64
python3-scipy-0:1.5.0-1.fc33.x86_64
qcint-0:3.0.20-2.fc33.x86_64
qrmumps-0:2.0-19.fc32.x86_64
qrupdate-0:1.1.2-19.fc33.x86_64
quantum-espresso-0:6.5-1.fc33.x86_64
quantum-espresso-mpich-0:6.5-1.fc33.x86_64
quantum-espresso-openmpi-0:6.5-1.fc33.x86_64
root-tmva-0:6.22.00-1.fc33.x86_64
sagemath-core-0:9.1-1.fc33.x86_64
scalapack-mpich-0:2.1.0-3.fc33.x86_64
scalapack-openmpi-0:2.1.0-3.fc33.x86_64
scamp-0:2.7.8-1.fc33.x86_64
sextractor-0:2.25.0-1.fc33.x86_64
sphinxbase-libs-1:5-0.4.prealpha.fc33.x86_64
suitesparse-0:5.4.0-3.fc32.x86_64
suitesparse64-0:5.4.0-3.fc32.x86_64
suitesparse64_-0:5.4.0-3.fc32.x86_64
superlu_dist-mpich-1:6.1.1-3.fc33.x86_64
superlu_dist-openmpi-1:6.1.1-3.fc33.x86_64
xtb-0:6.3.1-5.fc33.x86_64
xtb-libs-0:6.3.1-5.fc33.x86_64

Comment 2 Ben Cotton 2020-08-12 14:27:43 UTC
Branching F33 Change Tracker bugs.

Yesterday was the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 3 Iñaki Ucar 2020-08-12 14:55:42 UTC
A number of packages have been rebuilt against FlexiBLAS and are testable, but there's still work to do. These are ready to test:

$ podman run --rm fedora:33 dnf repoquery --whatrequires libflexiblas* | grep -v flexiblas | grep -v i686
COPASI-0:4.28.226-4.fc33.x86_64
COPASI-gui-0:4.28.226-4.fc33.x86_64
CheMPS2-0:1.8.9-10.fc33.x86_64
DSDP-0:5.8-26.fc33.x86_64
GMT-0:6.1.0-4.fc33.x86_64
MUMPS-0:5.3.3-1.fc33.x86_64
MUMPS-examples-0:5.3.3-1.fc33.x86_64
MUMPS-mpich-0:5.3.3-1.fc33.x86_64
MUMPS-openmp-0:5.3.3-1.fc33.x86_64
MUMPS-openmp-examples-0:5.3.3-1.fc33.x86_64
MUMPS-openmpi-0:5.3.3-1.fc33.x86_64
MUMPS-openmpi-examples-0:5.3.3-1.fc33.x86_64
OpenMolcas-0:19.11-7.fc33.x86_64
R-ape-0:5.4-3.fc33.x86_64
R-core-0:4.0.2-4.fc33.x86_64
R-expm-0:0.999.4-8.fc33.x86_64
R-gee-0:4.13.20-5.fc33.x86_64
R-gss-0:2.2.2-4.fc33.x86_64
R-igraph-0:1.2.5-4.fc33.x86_64
R-msm-0:1.6.8-6.fc33.x86_64
R-preprocessCore-0:1.50.0-5.fc33.x86_64
R-qtl-0:1.46.2-5.fc33.x86_64
R-quadprog-0:1.5.8-6.fc33.x86_64
SuperLU-0:5.2.1-14.fc33.x86_64
SuperLUMT-0:3.1.0-29.fc33.x86_64
SuperLUMT-complex-0:3.1.0-29.fc33.x86_64
SuperLUMT-complex16-0:3.1.0-29.fc33.x86_64
SuperLUMT-double-0:3.1.0-29.fc33.x86_64
SuperLUMT64-0:3.1.0-29.fc33.x86_64
SuperLUMT64-complex-0:3.1.0-29.fc33.x86_64
SuperLUMT64-complex16-0:3.1.0-29.fc33.x86_64
SuperLUMT64-double-0:3.1.0-29.fc33.x86_64
armadillo-0:9.900.2-5.fc33.x86_64
arpack-0:3.7.0-8.fc33.x86_64
clblast-tuners-0:1.5.1-4.fc33.x86_64
cocoalib-0:0.99710-3.fc33.x86_64
coin-or-CoinUtils-0:2.11.4-3.fc33.x86_64
csdp-0:6.2.0-10.fc33.x86_64
cxsc-0:2.5.4-15.fc33.x86_64
dlib-0:19.20-6.fc33.x86_64
python3-COPASI-0:4.28.226-4.fc33.x86_64
python3-dlib-0:19.20-6.fc33.x86_64

Comment 4 Iñaki Ucar 2020-08-14 17:45:07 UTC
Update:

# pkg               taskid      PR      status
COPASI              47816432    3       merged
CheMPS2             47814646    1       merged
DSDP                47816895    2       merged
GMT                 47816901    1       adapted
MUMPS               47819590    2       merged
OpenMolcas          47819795    1       merged
R                   47830614    5       merged
SuperLU             47821897    3       merged
SuperLUMT           47821610    1       merged
armadillo           -                   adapted
arpack              47823482    3       merged
clblast             47832918    1       merged
cocoalib            47832647    1       merged
coin-or-CoinUtils   49028034    1       merged
coin-or-Ipopt       49028067    1       merged
cp2k                49028339    1       merged
csdp                49037004    1       merged
cxsc                49037182    2       merged
dlib                49039493    6       merged
efpmd               49156947    1       merged
elk                 -           1       merged
elpa                -           1       merged
fflas-ffpack        49214986    2       merged
freefem++           49165296    1       merged
gromacs             49164974    2       merged
hpl                 49165160    1       merged
iml                 49203466    2       merged
lammps              49204228    1       merged
mld2p4              -                   adapted
ncl                 49245150    2       merged
petsc               49216532    2       merged
psblas3             49204594    1       merged
suitesparse         49203199    4       merged

Comment 5 Iñaki Ucar 2020-08-24 16:51:03 UTC
Update:

# pkg               taskid      PR      status
COPASI              47816432    3       merged
CheMPS2             47814646    1       merged
DSDP                47816895    2       merged
GMT                 47816901    1       adapted
MUMPS               47819590    2       merged
OpenMolcas          47819795    1       merged
R                   47830614    5       merged
SuperLU             47821897    3       merged
SuperLUMT           47821610    1       merged
armadillo           -                   adapted
arpack              47823482    3       merged
bout++              49754360    1       merged
clblast             47832918    1       merged
cocoalib            47832647    1       merged
coin-or-CoinUtils   49028034    1       merged
coin-or-Ipopt       49028067    1       merged
cp2k                49028339    1       merged
csdp                49037004    1       merged
cxsc                49037182    2       merged
dlib                49039493    6       merged
efpmd               49156947    1       merged
elk                 -           1       merged
elpa                -           1       merged
ergo                49385852    1       merged
fflas-ffpack        49214986    2       merged
freefem++           49165296    1       merged
getdp               49261022    1       merged
gromacs             49164974    2       merged
hpl                 49165160    1       merged
hypre               49203463    2       merged
iml                 49203466    2       merged
lammps              49204228    1       merged
linbox              49363406    2       merged
mld2p4              -                   adapted
ncl                 49245150    2       merged
numpy               49367649    13      merged
ocaml-gsl           49248202    1       merged
openmeeg            49260611    1       merged
opengrm-ngram       49260700    1       merged
petsc               49216532    2       merged
psblas3             49204594    1       merged
psi4                49366746    3       merged
python-nipy         49749476    3       merged
python2-numpy       49786911    2       merged
qcint               49371527    2       merged
qm-vamp-plugins     49385603    1       merged
qrmumps             49371397    1       merged
qrupdate            49371617    2       merged
root                -           2       merged
scipy               49367804    18      merged
sphinxbase          49378366    3       merged
suitesparse         49203199    4       merged
sundials            -           1       merged
sundials2           49789847    1       merged
xtb                 49378751    1       merged
################################################################################
scalapack           49164713            issues, reported upstream
superlu_dist        49378548            scalapack first
ga                  49160672            scalapack first
nwchem                                  ga first
quantum-espresso    49378084            scalapack first (but build succeeded!)
################################################################################
opencv              49254218            lapacke not supported yet
scamp               49377380            lapacke not supported yet
sextractor          49378358            lapacke not supported yet
################################################################################
libcint             49205718    1       
python-pyscf        -           2       libcint first
################################################################################
mpqc                49384437    1       
libghemical                             mpqc first
################################################################################
sagemath            -           3       
Macaulay2           49407999    1       
octave              49204297    8       
octave-control      
octave-optim        
python-cvxopt       49368755    2       
gpaw                49370528    2       
jblas               49384057    1       
python-pyshtools    49749528    1

Comment 6 Ben Cotton 2020-08-27 01:11:56 UTC
Yesterday we reached the Code complete (100% code complete) deadline for Fedora 33 Changes. If your Change is complete, please set this tracking bug to ON_QA. If you need to defer this Change to Fedora 34, please let NEEDINFO me.

As a reminder, we are now in the Beta Freeze. If you need to land package updates, please propose it as a Freeze Exception at https://qa.fedoraproject.org/blockerbugs/propose_bug

Comment 7 Miro Hrončok 2020-08-27 09:36:43 UTC
Iñaki, could you plese have a look at cloudcompare? It requires liblas.so.3()(64bit).



Also, if you get me list of PRs with successful scratchbuilds where the maintainer has not responded for a while, I can use my provenpackager power to merge them.

Comment 8 Iñaki Ucar 2020-08-27 09:53:21 UTC
liblas.so.3 != libblas.so.3 ;-)

- Macaulay2 is successful in x64 architectures. There's a FTBFS due to x32 arches due to other reasons. https://src.fedoraproject.org/rpms/Macaulay2/pull-request/1

- sagemath https://src.fedoraproject.org/rpms/sagemath/pull-request/3

- octave https://src.fedoraproject.org/rpms/octave/pull-request/8

- python-cvxopt https://src.fedoraproject.org/rpms/python-cvxopt/pull-request/2

Comment 9 Fabio Valentini 2020-08-27 10:05:24 UTC
I'm working on these three right now:

libcint             49205718    1       
python-pyscf        -           2       libcint first
mpqc                49384437    1

Comment 10 Iñaki Ucar 2020-08-27 10:07:44 UTC
Many thanks, changing to ON_QA.

Comment 12 Miro Hrončok 2020-08-27 10:29:42 UTC
- sagemath https://src.fedoraproject.org/rpms/sagemath/pull-request/3
- octave https://src.fedoraproject.org/rpms/octave/pull-request/8
- python-cvxopt https://src.fedoraproject.org/rpms/python-cvxopt/pull-request/2

Building in rawhide. If they succeed, will build in f33 as well.

Comment 13 Fedora Update System 2020-08-27 11:15:01 UTC
FEDORA-2020-e5642915dc has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e5642915dc

Comment 14 Miro Hrončok 2020-08-27 11:15:36 UTC
OK, assigning this bug to the bodhi update was not the best idea. Sorry about that.

Comment 15 Iñaki Ucar 2020-08-27 11:32:15 UTC
:D No problem. I'm working on the very few that still link against reference BLAS/LAPACK.

Comment 16 Iñaki Ucar 2020-08-27 13:30:32 UTC
I've submitted PRs for gmsh, grass, gretl, levmar, liblinear, mmseq and ocaml-lacaml.

As soon as the octave build is available, I'll adapt octave-control and octave-optim, and then we can submit an update for the three of them.

And that would be everything (except for those that buildrequire BLAS/LAPACK but do not link to them).

Comment 17 Iñaki Ucar 2020-08-27 18:12:19 UTC
octave-control and octave-optim only require rebuilding, they take BLAS/LAPACK configuration from octave.

Comment 19 Iñaki Ucar 2020-08-27 19:30:05 UTC
blaze's maintainer merged the PR but didn't launch builds: https://src.fedoraproject.org/rpms/blaze

Comment 20 Fabio Valentini 2020-08-27 19:42:09 UTC
🤔️ he did:
f34: https://koji.fedoraproject.org/koji/buildinfo?buildID=1601846
f33: https://koji.fedoraproject.org/koji/buildinfo?buildID=1601862
It looks like he just didn't submit a bodhi update for the f33 one.

Comment 21 Iñaki Ucar 2020-08-27 19:54:47 UTC
Sorry, I don't know what I was looking at... Anyway, here's an update (100% code complete):

# pkg               taskid      PR      status
COPASI              47816432    3       merged
CheMPS2             47814646    1       merged
CImg                50265785    2       merged
DSDP                47816895    2       merged
GMT                 47816901    1       adapted
MUMPS               47819590    2       merged
OpenMolcas          47819795    1       merged
R                   47830614    5       merged
SuperLU             47821897    3       merged
SuperLUMT           47821610    1       merged
armadillo           -                   adapted
arpack              47823482    3       merged
blaze               50252270    1       merged
bout++              49754360    1       merged
ceres-solver        50252628    4       merged
clblast             47832918    1       merged
cocoalib            47832647    1       merged
coin-or-Alps        50253145    1       merged
coin-or-Cbc         50253169    1       merged
coin-or-CoinUtils   49028034    1       merged
coin-or-Ipopt       49028067    1       merged
cp2k                49028339    1       merged
csdp                49037004    1       merged
cxsc                49037182    2       merged
dlib                49039493    6       merged
dolfin              50262385    1       merged
efpmd               49156947    1       merged
elk                 -           1       merged
elpa                -           1       merged
ergo                49385852    1       merged
fflas-ffpack        49214986    2       merged
freefem++           49165296    1       merged
getdp               49261022    1       merged
giac                50240888    1       merged
gmsh                50243593    1       merged
grass               50244586    6       merged
gretl               50244681    1       merged
gromacs             49164974    2       merged
hpl                 49165160    1       merged
hypre               49203463    2       merged
iml                 49203466    2       merged
lammps              49204228    1       merged
levmar              50245359    2       merged
libcint             49205718    1       merged
libghemical         50238196    1       merged
liblinear           50245238    1       merged
linbox              49363406    2       merged
mld2p4              -                   adapted
mmseq               50245923    4       merged
mp                  50255417    1       merged
mpqc                49384437    1       merged
ncl                 49245150    2       merged
numpy               49367649    13      merged
ocaml-gsl           49248202    1       merged
ocaml-lacaml        50245494    1       merged
octave              49204297    8       merged
openmeeg            49260611    1       merged
opengrm-ngram       49260700    1       merged
petsc               49216532    2       merged
psblas3             49204594    1       merged
psi4                49366746    3       merged
python-cvxopt       49368755    2       merged
python-nipy         49749476    3       merged
python-pyscf        -           2       merged
python-pyshtools    49749528    1       merged
python-steps        50257470    1       merged
python2-numpy       49786911    2       merged
qcint               49371527    2       merged
qm-vamp-plugins     49385603    1       merged
qrmumps             49371397    1       merged
qrupdate            49371617    2       merged
root                -           2       merged
sagemath            -           3       merged
scipy               49367804    18      merged
sphinxbase          49378366    3       merged
suitesparse         49203199    4       merged
sundials            -           1       merged
sundials2           49789847    1       merged
xtb                 49378751    1       merged
################################################################################
Macaulay2           49407999    1       FTBFS for other reasons
eigen3              -           3       FTBFS for other reasons
gpaw                49370528    2       FTBFS for other reasons
jblas               49384057    1       FTBFS for other reasons
pythran             50262407    5       FTBFS for other reasons
################################################################################
scalapack           49164713            issues, reported upstream
superlu_dist        49378548            scalapack first
ga                  49160672            scalapack first
nwchem                                  ga first
quantum-espresso    49378084            scalapack first (but build succeeded!)
################################################################################
opencv              -                   lapacke not supported yet
scamp               -                   lapacke not supported yet
sextractor          -                   lapacke not supported yet
julia               -                   cannot be adapted, must link to OpenBLAS
psfex               -                   cannot be adapted, must link to ATLAS
################################################################################
vmmlib              50263783    1       
plplot              50265361    2       
vtk                 50264992    2       
InsightToolkit      50265342    2

Comment 22 Fabio Valentini 2020-08-27 20:00:03 UTC
Should I create the bodhi update to the blaze f33 build?

Comment 23 Iñaki Ucar 2020-08-27 20:02:56 UTC
If none was created, yes, please.

Comment 24 Iñaki Ucar 2020-08-28 15:33:52 UTC
Martin has released FlexiBLAS 3.0.3, which solves issues with ScaLAPACK. I'm building it in f33-build-side-28767. As soon as this is ready, I'll submit PRs for ScaLAPACK and its 4 dependencies, so that we can build them in the side tag too and create a group update.

Comment 25 Iñaki Ucar 2020-08-28 15:36:18 UTC
*the 4 dependent packages, I mean.

Comment 26 Fabio Valentini 2020-08-29 09:46:17 UTC
I've merged and submitted a few more:

- plplot
- vmmlib
- superlu_dist (in rawhide + f33 side tag)
- ga (in rawhide + f33 side tag)

I'd like to wait for orion regarding vtk, which blocks InsightToolkit.

I think that only leaves two more:

- nwchem
- quantum-espresso

Or did I miss something?

Comment 27 Iñaki Ucar 2020-08-29 10:29:56 UTC
That's correct. I triggered a scratch-build for quantum-espresso yesterday, and I've opened the PR now. I've launched a scratch build for nwchem now, and if everything goes smoothly, it will be the last PR!

Comment 28 Fabio Valentini 2020-08-29 18:16:55 UTC
Alright, I have kicked off the quantum-espresso and nwchem builds for rawhide and f33-build-side-28767.
I won't wait for them to finish since they take forever :)

Let me know if you need me to create the bodhi update from the side tag for f33.
I'm not sure you'll be able to since you don't own all the packages in there.

Comment 29 Iñaki Ucar 2020-08-29 19:23:35 UTC
I think I can, since I requested the side tag. At least, the web interface lists the side tag as a source to create a new update. Anyway, if Bodhi complains, I'll come back for help. :)

Comment 30 Iñaki Ucar 2020-08-30 10:45:42 UTC
Nope, Bodhi does not allow me to create the update. Help, please! :)

Comment 31 Fabio Valentini 2020-08-30 11:43:47 UTC
$ bodhi updates new \
$     --from-tag f33-build-side-28767 \
$     --type enhancement \
$     --notes "https://fedoraproject.org/wiki/Changes/FlexiBLAS_as_BLAS/LAPACK_manager"

https://bodhi.fedoraproject.org/updates/FEDORA-2020-c2a34659af

Please verify that the created update is correct.

Comment 32 Miro Hrončok 2020-08-30 12:11:09 UTC
Don't forget to push the update to testing if it is correct.

Comment 33 Iñaki Ucar 2020-08-30 12:26:11 UTC
I'd say this is bugfix instead of enhancement, but correct otherwise.

Comment 34 Fabio Valentini 2020-08-30 12:28:21 UTC
Changed from enhancement → bugfix and pushed to testing.

Comment 35 Iñaki Ucar 2020-08-30 13:26:47 UTC
What a ride! :) Thank you all, especially Fabio, for your assistance. I hope I wasn't too much of a PITA.

Comment 36 Fabio Valentini 2020-08-30 14:38:35 UTC
Don't mention it. Glad I could help :)

Comment 37 Mattias Ellert 2020-10-03 11:52:01 UTC
cmake 3.18.3-1 in Fedora 33+ now has support for flexiblas in FindBLAS.cmake and FindLAPACK.cmake. This meant that I was able to drop the patch to support flexiblas in the root package since cmake now can find it. This might be true for some other packages too if they use cmake to find blas.

Comment 38 Iñaki Ucar 2020-10-03 12:07:07 UTC
Thanks for pushing this upstream!


Note You need to log in before you can comment on or make changes to this bug.